summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorXorg2015-07-09 17:21:27 +0200
committerXorg2015-07-09 17:21:27 +0200
commita2b8838755dc5ba2e1316b69f879aeca7c5c19cf (patch)
tree2b5cde652e57b1b8359ae7b6c6258068200653b4
downloadaur-a2b8838755dc5ba2e1316b69f879aeca7c5c19cf.tar.gz
Initial commit for systemd-numlockontty (adoption)
-rw-r--r--.SRCINFO15
-rw-r--r--.gitignore5
-rw-r--r--PKGBUILD23
-rw-r--r--numlockontty.install10
4 files changed, 53 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..5e8e87a25b1
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = systemd-numlockontty
+ pkgdesc = Systemd service + script, automatically activate numpad on ttys
+ pkgver = 0.1
+ pkgrel = 11
+ url = http://avalon.ybalrid.info/aur/numlockontty.html
+ install = numlockontty.install
+ arch = any
+ license = GPL
+ depends = systemd
+ replaces = numlockontty
+ source = http://avalon.ybalrid.info/aur/numlockontty-0.1.tar.gz
+ md5sums = f7b69626dd83f5da5269b226688ff1b8
+
+pkgname = systemd-numlockontty
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..91ac63bcc30
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,5 @@
+*
+!.gitignore
+!.SRCINFO
+!numlockontty.install
+!PKGBUILD
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..97cba01ad84
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer: X0rg
+# Contributor: Ybalrid <ybalrid@cecmu.org>
+
+pkgname=systemd-numlockontty
+pkgver=0.1
+pkgrel=11
+pkgdesc="Systemd service + script, automatically activate numpad on ttys"
+arch=('any')
+url='http://avalon.ybalrid.info/aur/numlockontty.html'
+depends=('systemd')
+replaces=('numlockontty')
+license=('GPL')
+install='numlockontty.install'
+source=(http://avalon.ybalrid.info/aur/numlockontty-${pkgver}.tar.gz)
+noextract=()
+md5sums=('f7b69626dd83f5da5269b226688ff1b8')
+
+package() {
+ cd "$srcdir"
+ install -Dm755 'numlockOnTty' "${pkgdir}/usr/bin/numlockOnTty" || return 1
+ install -Dm644 'numLockOnTty.service' "${pkgdir}/usr/lib/systemd/system/numLockOnTty.service" || return 1
+
+}
diff --git a/numlockontty.install b/numlockontty.install
new file mode 100644
index 00000000000..7b8d8a3a730
--- /dev/null
+++ b/numlockontty.install
@@ -0,0 +1,10 @@
+post_install() {
+ cat << EOF
+ ==> You should enable the service by running:
+ # systemctl enable numLockOnTty
+
+ To disable:
+ # systemctl disable numLockOnTty
+EOF
+}
+